<template>
  <div
    class="
  bg-white px-5 py-6 cursor-pointer border border-grey-darker rounded-lg
  flex justify-between items-center relative
"
    @click="isOpened = !isOpened"
  >
    <div>
      <span class="text-black" v-if="value">
        {{ value }}
      </span>
      <span class="text-grey-dark" v-else>
        {{ placeholder }}
      </span>
    </div>
    <div class="border-r border-b transform rotate-45 w-3 h-3 border-grey-medium"></div>
    <div
      v-if="isOpened"
      class="text-black z-10 absolute right-0 left-0 top-full mt-2 p-5 bg-white grid gap-y-1 rounded-lg border border-grey-darker"
    >
      <div
        class="choice"
        v-for="choice in choices"
        :key="choice"
        @click="$emit('input', choice)"
      >
        {{ choice }}
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "SelectInput",
  props: {
    value: [String, Number],
    choices: Array,
    placeholder: String,
  },
  data() {
    return {
      isOpened: false,
    }
  }
}
</script>

<style scoped>
.choice {
  @apply hover:text-black text-grey-medium border-grey-darker py-3
}

.choice:not(:last-child) {
  @apply border-b;
}
</style>
